<?php
/**
 * @copyright   Copyright (C) 2023 GiMeSpace All rights reserved.
 * @license     http://http://www.gnu.org/licenses/gpl-3.0.html GNU/GPL 
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;

\Joomla\CMS\HTML\HTMLHelper::_('bootstrap.dropdown', '.selector', []);

$id = '';

if ($tagId = $params->get('tag_id', ''))
{
	$id = ' id="' . $tagId . '"';
}

?>    
       
<ul class="nav nav-pills<?php echo $class_sfx; ?>"<?php
$tag = '';
if ($params->get('tag_id') != null)
{
	$tag = $params->get('tag_id') . '';
	echo ' id="' . $tag . '"';
}
?>>
			<?php
      
      $columninx=0;  
      $lastlevel=1;
      $extrastyle = '';
			foreach ($list as $i => &$item)
			{
                $itemParams = $item->getParams();
				// The next item is deeper.
			    if (($item->level==2) and ($lastlevel==1)) 
                {
                  $columninx++;
                }

				$class = 'item-' . $item->id;
				if ($item->id == $active_id)
				{
					$class .= ' current';
				}

				if (in_array($item->id, $path))
				{
					$class .= ' active';
				}
				elseif ($item->type === 'alias')
				{
					$aliasToId = $itemParams->get('aliasoptions');
					if (count($path) > 0 && $aliasToId == $path[count($path) - 1])
					{
						$class .= ' active';
					}
					elseif (in_array($aliasToId, $path))
					{
						$class .= ' alias-parent-active';
					}
				}

				if ($item->deeper)
				{
          if ($item->level>1)
         {
					$class .= ' deeper dropdown dropdown-submenu';
          }
          else
          {
					$class .= ' nav-item deeper dropdown';
          }
				}

				if ($item->parent)
				{
					$class .= ' parent';
				}

				if (!empty($class))
				{
					$class = ' class="' . trim($class) . '"';
				}

	  			echo '<li' . $class . '>';

				// Render the menu item.
        if ($item->type == 'separator')
        {
            echo '<hr class="dropdown-divider">';
        }
        elseif ($item->deeper)
        {
          if ($item->level>1)
          {
            echo '<a href="#" class="nav-link dropdown-toggle" role="button" aria-expanded="false" data-bs-toggle="dropdown">';
            require ModuleHelper::getLayoutPath('mod_gmsmenu5', 'default_' . $item->type);
            echo '</a>';
          }
          else
          {
            echo '<a href="#" class="nav-link dropdown-toggle" role="button" aria-expanded="false" data-bs-toggle="dropdown">';
            require ModuleHelper::getLayoutPath('mod_gmsmenu5', 'default_' . $item->type);
            echo ' <b class="caret"></b></a>';
          }
        }
        else
        {
				switch ($item->type)
				{
					case 'separator':
					case 'url':
					case 'component':
                        require ModuleHelper::getLayoutPath('mod_gmsmenu5', 'default_' . $item->type);
						break;

					default:
            			require ModuleHelper::getLayoutPath('mod_gmsmenu5', 'default_url');
						break;
				}
        }
				// The next item is deeper.
				if ($item->deeper)
				{
					echo '<ul class="dropdown-menu">';
				}
				// The next item is shallower.
				elseif ($item->shallower)
				{
					echo '</li>';
          $nlevel=$item->level;
          for ($x=0; $x<$item->level_diff; $x++)
          {
            $nlevel--;
   					echo '</ul></li>';
            $extrastyle = '';
          } 
				}
				// The next item is on the same level.
				else
				{
					echo '</li>';
				}
        $lastlevel=$item->level;
			}
			?>
</ul>


